Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceOperAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount
ru.bitel.bgbilling.modules.voice.common.bean.VoiceOperAccount

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceOperAccount extends AbtractVoiceAccount

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceOperAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `getCallType()`
  `List<VoiceAccountPort>`
  `getFromPortList()`
  `String`
  `getNoRegexpA()`
  `String`
  `getNoRegexpB()`
  `String`
  `getRegexpA()`
  `String`
  `getRegexpB()`
  `String`
  `getRegexpFromPorts()`
  `String`
  `getRegexpToPorts()`
  `int`
  `getServiceId()`
  `List<VoiceAccountPort>`
  `getToPortList()`
  `VoiceOperAccount`
  `setCallType(byte callType)`
  `VoiceOperAccount`
  `setContractId(int contractId)`
  Установка кода договора для аккаунта
  `VoiceOperAccount`
  `setDeviceId(int deviceId)`
  Установка кода устройства, к которому привязывается аккаунт
  `VoiceOperAccount`
  `setFromPortList(List<VoiceAccountPort> fromPortList)`
  `VoiceOperAccount`
  `setNoRegexpA(String noRegexpA)`
  `VoiceOperAccount`
  `setNoRegexpB(String noRegexpB)`
  `VoiceOperAccount`
  `setRegexpA(String regexpA)`
  `VoiceOperAccount`
  `setRegexpB(String regexpB)`
  `VoiceOperAccount`
  `setRegexpFromPorts(String regexpFromPorts)`
  `VoiceOperAccount`
  `setRegexpToPorts(String regexpToPorts)`
  `VoiceOperAccount`
  `setServiceId(int serviceId)`
  `VoiceOperAccount`
  `setToPortList(List<VoiceAccountPort> toPortList)`
  `VoiceOperAccount`
  `setTypeId(int typeId)`
  Установка кода типа аккаунта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

  `copyTo, getContractComment, getContractId, getContractTitle, getDateFrom, getDateTo, getDeviceId, getObjectId, getTypeId, setContractComment, setContractTitle, setDateFrom, setDateTo, setObjectId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceOperAccount

    public VoiceOperAccount()

- ## Method Details

  - ### getCallType

    public byte getCallType()

  - ### getFromPortList

    public List<VoiceAccountPort> getFromPortList()

  - ### getNoRegexpA

    public String getNoRegexpA()

  - ### getNoRegexpB

    public String getNoRegexpB()

  - ### getRegexpA

    public String getRegexpA()

  - ### getRegexpB

    public String getRegexpB()

  - ### getRegexpFromPorts

    public String getRegexpFromPorts()

  - ### getRegexpToPorts

    public String getRegexpToPorts()

  - ### getServiceId

    public int getServiceId()

  - ### getToPortList

    public List<VoiceAccountPort> getToPortList()

  - ### setCallType

    public VoiceOperAccount setCallType(byte callType)

  - ### setDeviceId

    public VoiceOperAccount setDeviceId(int deviceId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода устройства, к которому привязывается аккаунт
    Overrides:
      `setDeviceId` in class `AbtractVoiceAccount`
    Parameters:
      `deviceId` - код устройства

  - ### setFromPortList

    public VoiceOperAccount setFromPortList(List<VoiceAccountPort> fromPortList)

  - ### setTypeId

    public VoiceOperAccount setTypeId(int typeId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода типа аккаунта
    Overrides:
      `setTypeId` in class `AbtractVoiceAccount`
    Parameters:
      `typeId` - код типа аккаунта

  - ### setNoRegexpA

    public VoiceOperAccount setNoRegexpA(String noRegexpA)

  - ### setNoRegexpB

    public VoiceOperAccount setNoRegexpB(String noRegexpB)

  - ### setRegexpA

    public VoiceOperAccount setRegexpA(String regexpA)

  - ### setRegexpB

    public VoiceOperAccount setRegexpB(String regexpB)

  - ### setRegexpFromPorts

    public VoiceOperAccount setRegexpFromPorts(String regexpFromPorts)

  - ### setRegexpToPorts

    public VoiceOperAccount setRegexpToPorts(String regexpToPorts)

  - ### setServiceId

    public VoiceOperAccount setServiceId(int serviceId)

  - ### setToPortList

    public VoiceOperAccount setToPortList(List<VoiceAccountPort> toPortList)

  - ### setContractId

    public VoiceOperAccount setContractId(int contractId)
    Description copied from class: `AbtractVoiceAccount`
    Установка кода договора для аккаунта
    Overrides:
      `setContractId` in class `AbtractVoiceAccount`
    Parameters:
      `contractId` - код договора

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`